System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable To be added

Represents a floating-point number within the range of -1.79E +308 through 1.79E +308 to be stored in or retrieved from a database.

- Constructor
  To be added

  Initializes a new instance of the structure using the supplied double parameter to set the new structure's property.

  A double whose value will be used for the new .
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble `` `` To be added

  The addition operator computes the sum of the two operands.

  The sum of the two operands.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared.
- Method
  System.Int32 `` To be added

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic).

  The to compare. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble `` `` To be added

  The division operator divides the first operand by the second.

  A structure that contains the results of the division operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the property of the object.

  true if the two values are equal. Otherwise, false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison on two instances of to determine whether they are equal.

  true if the two values are equal. Otherwise, false.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code for this structre.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  An .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Returns a Boolean value that indicates whether this instance is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlDouble

  This value is 1.79E+308

  A constant representing the maximum value for a structure.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlDouble

  This value is -1.79E+308

  A constant representing the minimum possible value of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble `` `` To be added

  The multiplication operator computes the product of the two operands.

  The product of the two operands.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether they are notequal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlDouble

  Null functions as a constant for the structure. For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` `` To be added.

  The addition operator computes the sum of the two operands.

  The sum of the two operands.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` `` To be added.

  The division operator divides the first operand by the second.

  A structure that contains the results of the division operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison on two instances of to determine whether they are equal.

  true if the two values are equal. Otherwise, false.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Double `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` `` To be added.

  The multiplication operator computes the product of the two operands.

  The product of the two operands.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` `` To be added.

  The subtraction operator the second operand from the first.

  The results of the subtraction operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDouble `` To be added.

  Returns the negated value of the specified structure.

  A structure that contains the negated value.

  A structure.
- Method
  System.Data.SqlTypes.SqlDouble `` To be added

  Converts the representation of a number to its double-precision floating point number equivalent.

  A that contains the value represented by the String.

  The String to be parsed. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble `` `` To be added

  The subtraction operator the second operand from the first.

  The results of the subtraction operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XML schema consumed by .NET Framework.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  A .
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  A .
- Method
  System.Data.SqlTypes.SqlBoolean To be added

  Converts this structure to .

  A SqlBoolean structure whose will be if the structure's is non-zero, if the is zero and if the structure is .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte To be added

  Converts this structure to .

  A SqlByte structure whose Value equals the Value of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal To be added

  Converts this structure to .

  A new SqlDecimal structure whose converted value equals the rounded value of this SqlDouble.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 To be added

  Converts this structure to .

  A new structure whose Value equals the integer part of the structure's value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 To be added

  Converts this structure to .

  A new structure whose Value equals the integer part of the structure's value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 To be added

  Converts this structure to .

  A new structure whose Value equals the integer part of the structure's value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney To be added

  Converts this structure to .

  A new SqlMoney structure whose is equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle To be added

  Converts this structure to .

  A new SqlSingle structure whose is equal to the of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this structure to .

  A SqlString representing the of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this structure to a string.

  A string representing the of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Double To be added: an object of type 'double' To be added

  Gets the value of the structure. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlDouble

  The Zero field is a constant for the structure.

  Represents a zero value that can be assigned to the property of an instance of the structure.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")